Package net.commoble.exmachina.internal.mechanical

# Enum Class MechanicalComponentBaker

java.lang.Object
java.lang.Enum<MechanicalComponentBaker>
net.commoble.exmachina.internal.mechanical.MechanicalComponentBaker

All Implemented Interfaces:
  `Serializable`, `Comparable<MechanicalComponentBaker>`, `Constable`

@Internal public enum MechanicalComponentBaker extends Enum<MechanicalComponentBaker>
Cache of mechanical graph components. Lets components effectively validate/parse with their block in context on load.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`
the Mechanical Component Baker

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Clears the cache
`MechanicalStateComponent`
`getStateComponent(net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.RegistryAccess registries)`
Returns MechanicalStateComponent for the given state.
`void`
`preBake(net.minecraft.core.RegistryAccess registries)`
Bakes block components.
`static MechanicalComponentBaker`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MechanicalComponentBaker[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTANCE

public static final MechanicalComponentBaker INSTANCE
the Mechanical Component Baker

## Method Details

### values

public static MechanicalComponentBaker[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MechanicalComponentBaker valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### clear

public void clear()
Clears the cache

### getStateComponent

public MechanicalStateComponent getStateComponent(net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.RegistryAccess registries)
Returns MechanicalStateComponent for the given state.

Parameters:
  `state` - BlockState to get the state component for
  `registries` - RegistryAccess for creating the state component if needed
Returns:
  MechanicalStateComponent for the given state

### preBake

public void preBake(net.minecraft.core.RegistryAccess registries)
Bakes block components. Invoked on server start.

Parameters:
  `registries` - RegistryAccess for baing/validating block components, if needed